# Interface IRWSSinglePromptRequestExecutor

interface IRWSSinglePromptRequestExecutor {
singlePromptRequest: ((prompt, contextToken?, intruderPrompt?, ensureJson?, debugVars?) => Promise<RWSPrompt>);
}

- Defined in src/models/prompts/_prompt.ts:48

#####
Index

### Properties

singlePromptRequest

## Properties

### singlePromptRequest

singlePromptRequest: ((prompt, contextToken?, intruderPrompt?, ensureJson?, debugVars?) => Promise<RWSPrompt>)

#### Type declaration

- - (prompt, contextToken?, intruderPrompt?, ensureJson?, debugVars?): Promise<RWSPrompt>

  - #### Parameters

    - ##### prompt: RWSPrompt

    - ##### `Optional` contextToken: IContextToken

    - ##### `Optional` intruderPrompt: string

    - ##### `Optional` ensureJson: boolean

    - ##### `Optional` debugVars: any

    #### Returns Promise<RWSPrompt>

- Defined in src/models/prompts/_prompt.ts:49

Generated using TypeDoc